0 Пользователей и 1 Гость просматривают эту тему.
  • 4 Ответов
  • 2108 Просмотров
*

Keno

  • Захожу иногда
  • 84
  • 41 / 0
 Здравствуйте.
Вот решил на одном сайте поставить оригинальную 1.0.15 English (UK). Кодировка базы и таблиц поставил соответственно UTF-8. Но  не возникнут ли у меня проблемы с установкой расширений в win-1251 кодировке?
Или может посоветуйте, какую же все-таки версию (из 1.0.xх) выбрать для русскоязычного сайта - RE или оригинальную (UK), что бы потом не было никаких проблем - в плане установки расширений и их кодировок?
И если RE версию, то уточните, в какой кодировке выставлять базы и таблицы, а то прочитал вот этот топик http://joomlaforum.ru/index.php/topic,41383.0.html и уже не знаю, что будет лучше выставлять для RE сборок?
Заранее благодарен за ваши ответы.
*

oleggrz

  • Захожу иногда
  • 435
  • 76 / 3
  • Только начал учиться.
Цитировать
Вот решыл на одном сайте поставить оригинальную 1.0.15 English (UK).Кодировка базы и таблиц поставил соответственно UTF-8
Что значит соответственно, Joomla 1.0.x идет в кодировке iso-8859-1(win-1251 тоже можно), для русского языка надо ставить win-1251. Если вам надо два языка, то ставьте JoomFish, если только русский, то ставьте русскую локаль и русский по-умолчанию и все будет в порядке.
*

Keno

  • Захожу иногда
  • 84
  • 41 / 0
 oleggrz, Если все таки RE, то уточните кодировки баз и таблиц которые будут оптимальны - в плане установки в последующем расширений в кодировке UTF8
*

oleggrz

  • Захожу иногда
  • 435
  • 76 / 3
  • Только начал учиться.
При чем здесь RE сборки, или нет. Все русифицированные расширения для Joomla 1.0.x сделаны в win-1251. Если вы сделаете сайт в utf-8, то расширения на русском придется перекодировать в utf-8. Делаете сайт на Joomla 1.0.x на русском языке - делайте на win-1251.
*

Keno

  • Захожу иногда
  • 84
  • 41 / 0
 oleggrz, спасибо за детальное разъяснение. +1
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

Как обновить версию 1.0.15 до максимально новой и стабильной?

Автор tatiyana142800

Ответов: 3
Просмотров: 1313
Последний ответ 26.03.2017, 00:48:17
от SeBun
com_migrator - где взять последнюю версию?

Автор memo

Ответов: 0
Просмотров: 1601
Последний ответ 28.02.2013, 17:35:22
от memo
Хостер обновил версию PHP на 5.3.10, старая 5.2 доступна в режиме CGI

Автор AZ

Ответов: 17
Просмотров: 13724
Последний ответ 26.02.2013, 12:34:48
от Venom51rus
Как вот сделать выбрать стиль ?

Автор Doctor1

Ответов: 4
Просмотров: 2078
Последний ответ 09.03.2010, 23:06:24
от shima
ОШИБКА: В установочном пакете невозможно найти XML-файл установки

Автор dstudi

Ответов: 7
Просмотров: 6727
Последний ответ 11.02.2010, 15:31:10
от elsov